package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.TargetModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface AccessPathGatewayProvider extends SuperProvider {
    @Override
    public boolean accessable();

    public BocloudResult list();

    public BocloudResult attachHost(TargetModel targetModel);

    public BocloudResult detachHost(String targetUuid);

    public BocloudResult detail(Long targetId);
}
